Page MenuHomePhabricator

Replace usage of Title with usage of LinkTarget in Linker
Closed, ResolvedPublic2 Story Points

Description

Linker should not depend on the Title class, to avoid circular dependencies. As a first step, it would be sufficient to remove all usages of Title in the public interface of Linker, while resorting to Title::newFromLinkTarget to obtain a Title instance where necessary in the implementation. All usages of Title in Linker should however be considered technical debt.

Event Timeline

daniel created this task.Jan 21 2019, 4:54 PM
daniel updated the task description. (Show Details)Jan 21 2019, 4:57 PM

Change 504001 had a related patch set uploaded (by simetrical; owner: simetrical):
[mediawiki/core@master] Use LinkTarget in Linker instead of Title

https://gerrit.wikimedia.org/r/504001

CCicalese_WMF set the point value for this task to 2.Apr 15 2019, 3:05 PM

Change 504001 merged by jenkins-bot:
[mediawiki/core@master] Use LinkTarget in Linker instead of Title

https://gerrit.wikimedia.org/r/504001

daniel closed this task as Resolved.May 13 2019, 2:49 PM
daniel removed Simetrical as the assignee of this task.
daniel added a subscriber: Simetrical.